*===============================================================================
$ontext

FILENAME:      get_size.gms
DATE:          12 December, 2001
PURPOSE:       Computes the point size based on numerical value
INPUT PARAMETERS:
               obj_num   -       numerical value of object

CALLED BY:  $batinclude get_size  obj_num
                                     %1

$offtext
*===============================================================================


$set obj_num     %1



intensity$(maxval=minval) = 1;
intensity$(maxval>minval) = abs(%obj_num%) / maxval;


loop(steps_s$(scaling_s(steps_s,'lo') < intensity and intensity <= scaling_s(steps_s,'up')),
  isize = scaling_s(steps_s,'size');
);

display isize;