*===============================================================================
$ontext

FILENAME:      get_width.gms
DATE:          17 January, 2002
PURPOSE:       Computes the link width based on numerical value
INPUT PARAMETERS:
               obj_num   -       numerical value of object

CALLED BY:     $batinclude get_width obj_num   scaleopt
                                      %1          %2

$offtext
*===============================================================================


$set obj_num     %1
$set scaleopt	 %2



if (%scaleopt%,
   intensity$(maxval=minval) = 1;
   intensity$(maxval>minval) = ( abs(%obj_num%) - minval) / (maxval-minval);
else
   intensity$(maxval=minval) = 1;
   intensity$(maxval>minval) = abs(%obj_num%) / maxval;
);


intensity$(maxval=minval) = 1;
intensity$(maxval>minval) = abs(%obj_num%) / maxval;


loop(steps_w$(scaling_w(steps_w,'lo') < intensity and intensity <= scaling_w(steps_w,'up')),
  iwidth = scaling_w(steps_w,'size');
);

